.vsk-menu {
    position: relative;
    /*overflow: hidden;*/
    width: 100%;
    transition: height 0s var(--vsk-transition-ease);
}

.vsk-menu__screen {
    position: absolute;
    top: 0;
    left: 0%;
    width: 100%;
    box-sizing: border-box;
    opacity: 0;
    transition: opacity .125s var(--vsk-transition-ease)
		, left 0s var(--vsk-transition-ease);
	z-index: 10;
}

.vsk-menu__screen.active{
    opacity: 1;
	left: 0%;
	z-index: 50;
}

.vsk-menu__screen.prev {
    opacity: 0;
}

.vsk-menu__screen ul {
    list-style: none;
    margin: 0;
	padding: 0;
	display: flex;
	flex-flow: column nowrap;
	gap: 0em;
}

.vsk-menu__screen li{
	color: var(--e-global-color-b3f66f7);
	padding: 0;
	border-color: var(--e-global-color-text);
	border-style: solid;
	opacity: 0;
	transform: translateY(6em);
	transition: opacity 1.2s cubic-bezier(0.22, 1, 0.36, 1) calc(var(--_td, 0) * .075s)
		, transform 1.2s cubic-bezier(0.22, 1, 0.36, 1) calc(var(--_td, 0) * .075s)!important;
}

.vsk-menu__screen li:not(:last-child){
	border-width: 0 0 0px 0;
}

.opened .vsk-menu__screen.active li{
	opacity: 1;
	transform: translateY(0em);
}

.vsk-menu__screen li a{
	display: flex;
	flex-flow: row wrap;
	align-items: center;
	justify-content: space-between;
	color: var(--e-global-color-text);
	padding: .5em 0;
	transition: color .25s var(--vsk-transition-ease)
		, opacity .25s var(--vsk-transition-ease)!important;
}

.vsk-menu__screen ul:has(a[aria-current="page"]) li,
.vsk-menu__screen ul:has(a:hover) li{
	border-color: hsla(from var(--e-global-color-text) h s l / .3);
}

.vsk-menu__screen ul  li:has(a[aria-current="page"]),
.vsk-menu__screen ul li:has(a:hover){
	border-color: var(--e-global-color-text)!important;
}


.vsk-menu__screen ul:has(a[aria-current="page"]) a:not([aria-current="page"]),
.vsk-menu__screen ul:has(a:hover) a:not(:hover),
.vsk-menu__breadcrumbs a{
	color: hsla(from var(--e-global-color-text) h s l / .3);
}

.vsk-menu__screen a:hover,
.vsk-menu__breadcrumbs a[aria-current="page"]{
	color: var(--e-global-color-text)!important;
}

.vsk-menu__back {
    display: inline-block;
    cursor: pointer;
    padding: 0;
}

.vsk-menu__breadcrumbs {
	display: flex;
    flex-flow: row nowrap;
	align-items: center;
    gap: 1em;
}

.vsk-menu__breadcrumbs :where(a, span),
.link-description{
	font-family: var(--e-global-typography-ea538ef-font-family), Sans-serif!important;
    font-size: var(--e-global-typography-ea538ef-font-size)!important;
    font-weight: var(--e-global-typography-ea538ef-font-weight)!important;
    text-transform: var(--e-global-typography-ea538ef-text-transform)!important;
    font-style: var(--e-global-typography-ea538ef-font-style)!important;
    text-decoration: var(--e-global-typography-ea538ef-text-decoration)!important;
    line-height: var(--e-global-typography-ea538ef-line-height)!important;
    letter-spacing: var(--e-global-typography-ea538ef-letter-spacing)!important;
    word-spacing: var(--e-global-typography-ea538ef-word-spacing)!important;
}

.vsk-menu__header{
	display: flex;
    flex-flow: row nowrap;
    align-items: center;
	justify-content: space-between;
    gap: 1em;
	padding-left: var(--vsk-section-padding-side);
	padding-right: var(--vsk-section-padding-side);
	padding-bottom: 16px;
    margin-bottom: 32px;
	border-bottom: 1px solid var(--e-global-color-19b8723);
	opacity: 0;
	transform: translateY(-24px);
	transition: opacity .6s var(--vsk-transition-ease)
		, transform .6s var(--vsk-transition-ease);
}

.vsk-menu__screen.active .vsk-menu__header{
	opacity: 1;
	transform: translateY(0px);
}

.link-description{
	display: block;
	width: 100%;
}



.vsk-menu-toggle {
	--_size: 32px;
	--_thickness: 1px;
	--_gap: 12px;
	display: block;
	position: relative;
    width: var(--_size);
    height: var(--_size);
    position: relative;
    cursor: pointer;
	transition: transform .3s var(--vsk-transition-ease);
}

.vsk-menu-toggle .line {
    display: block;
	position: absolute;
    height: var(--_thickness);
    width: 100%;
    background: var(--e-global-color-36064f4);
    border-radius: 2px;
	transition: background .6s var(--vsk-transition-ease);
}


.vsk-menu-toggle .line-top{
	--_offset: calc(var(--_gap) / 2);
	top: 50%;
	transform: translateY(-50%);
}
.vsk-menu-toggle .line-bottom{
	height: var(--_size);;
	width: var(--_thickness);
	left: 50%;
	transform: translateX(-50%);
}

/* Animacja po otwarciu */
.vsk-menu-toggle.opened {
    transform: rotate(45deg);
}
.vsk-menu-toggle.opened .line{
	 background: var(--e-global-color-b3f66f7);
}





